loci.formats.in.LeicaMicrosystemsMetadata

## Class Channel

- java.lang.Object
- - loci.formats.in.LeicaMicrosystemsMetadata.Channel

-     public class Channel
      extends java.lang.Object

  This class represents image channels extracted from LMS image xmls.
  Author:
    Constanze Wendlandt constanze.wendlandt at leica-microsystems.com

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Channel.ChannelType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long` | `bitInc`
    `long` | `bytesInc`
    `int` | `channelTag`
    `Channel.ChannelType` | `channelType`
    `int` | `dataType`
    `boolean` | `isLutInverted`
    `java.lang.String` | `lutName`
    `double` | `max`
    `double` | `min`
    `java.lang.String` | `nameOfMeasuredQuantity`
    `int` | `resolution`
    `java.lang.String` | `unit`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Channel(int channelTag, int resolution, double min, double max, java.lang.String unit, java.lang.String lutName, long bytesInc)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private void` | `setChannelType()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### channelTag

          public int channelTag

    - #### resolution

          public int resolution

    - #### min

          public double min

    - #### max

          public double max

    - #### unit

          public java.lang.String unit

    - #### lutName

          public java.lang.String lutName

    - #### bytesInc

          public long bytesInc

    - #### isLutInverted

          public boolean isLutInverted

    - #### bitInc

          public long bitInc

    - #### dataType

          public int dataType

    - #### nameOfMeasuredQuantity

          public java.lang.String nameOfMeasuredQuantity

    - #### channelType

          public Channel.ChannelType channelType

  - ### Constructor Detail

    - #### Channel

          public Channel(int channelTag,
                         int resolution,
                         double min,
                         double max,
                         java.lang.String unit,
                         java.lang.String lutName,
                         long bytesInc)

  - ### Method Detail

    - #### setChannelType

          private void setChannelType()

Copyright © 2026 Open Microscopy Environment